#!/bin/bash

# Environment
conda create -n conda-env python=3.9
conda activate conda-env
pip install -r requirements.txt

# Downloads
wget https://huggingface.co/taide/Llama3-TAIDE-LX-8B-Chat-Alpha1-4bit/tree/main?show_file_info=taide-8b-a.3-q4_k_m.gguf
curl https://ollama.ai/install.sh | sh

# Build Taide model
mkdir -p Modelfile
mv taide-8b-a.3-q4_k_m.gguf Modelfile/
ollama create taide-local-3 -f Modelfile
## taide-local for llama2

## If embeddings has not been created 
# python embeddings.py
## If embedding was created
python chromadb_generate.py
python main.py



